## ros-kinetic-iot-bridge 0.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(iot_bridge)

find_package(catkin REQUIRED COMPONENTS diagnostic_msgs
)

# catkin_python_setup()

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES iot_bridge
  CATKIN_DEPENDS diagnostic_msgs
#  DEPENDS system_lib
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(PROGRAMS
   scripts/iot_bridge
   scripts/sample/openhab_test
   scripts/sample/iot_test
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(catkin REQUIRED COMPONENTS roslaunch)
  roslaunch_add_file_check(launch)
  add_rostest(test/bridge.test)
endif()

=== debian/changelog ===
ros-kinetic-iot-bridge (0.9.0-0xenial) xenial; urgency=high

  * Initial release to ROS
  * [test] Add unit test.
  * [maintenance] Add CI config.
  * Contributors: corb555, Isaac I.Y. Saito

 -- mike <corb@aol.com>  Sat, 17 Jun 2017 07:00:00 -0000

ros-kinetic-iot-bridge (0.8.2-0xenial) xenial; urgency=high



 -- mike <corb@aol.com>  Sun, 21 Jun 2015 20:53:54 -0000

ros-kinetic-iot-bridge (0.8.1-0xenial) xenial; urgency=high

  * Merge branch 'master' of https://github.com/corb555/iot_bridge
  * cleanup
  * Update README.md
    updated for v0.8
  * Improved diags and recovery.  Changed from long poll to regular poll. Renamed from openhab_bridge to iot_bridge.  Improved iot_test
  * removed generate messages
  * Merge pull request #1 <https://github.com/corb555/iot_bridge/issues/1> from IanTheEngineer/patch-1
    Updated package.xml to depend on python-requests
  * Updated package.xml to depend on python-requests
    This way you won't have to instruct users to install requests separately.
    See http://docs.ros.org/indigo/api/catkin/html/howto/format1/python_module_dependencies.html
    for a more detailed explanation.
  * cleanup
  * first commit
  * Contributors: IanTheEngineer, corb555, mike

 -- mike <corb@aol.com>  Sun, 21 Jun 2015 20:53:20 -0000

=== debian/control ===
Source: ros-kinetic-iot-bridge
Section: misc
Priority: extra
Maintainer: mike <corb@aol.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-rostest
Homepage: http://wiki.ros.org/iot_bridge
Standards-Version: 3.9.2

Package: ros-kinetic-iot-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-requests, ros-kinetic-diagnostic-msgs, ros-kinetic-rospy, ros-kinetic-rostopic
Description: The iot_bridge provides a bi-directional bridge between ROS and the OpenHAB Home Automation system.
 This allows a ROS robot to connect to a vast variety of IoT devices such as motion detectors, Z-Wave devices, lighting, door locks, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-iot-bridge//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
